image: node:latest

stages:
    - test
    - build-docker

cache:
    paths:
        - node_modules/

test:
    stage: test
    script: 
        - npm install
        - npm test

build-docker:
    stage: build-docker
    image: docker:latest
    before_script:
        - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    services:
        - docker:dind
    script:
        - docker build --pull -t "$CI_REGISTRY_IMAGE" .
        - docker push "$CI_REGISTRY_IMAGE"
    
    

